import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class ground here.
 * 
 * @author Rasskazova Svetlana & Ryzhkova Julia
 */
public class ground  extends Actor
{
    boolean hasBeenBounced;
    int x_pos, y_pos;
    /**
     * Act - do whatever the ground wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */

    public ground()
    {
        hasBeenBounced=false;
    }

    public ground(boolean bouncable)
    {
        hasBeenBounced=true;
    }

    /**
     * If doodlers moves \ falls, respectively, moving ground
     */
    public void act() 
    {
        if(((MyWorld) getWorld()).scroll==true)
        {
            scroll(((MyWorld) getWorld()).scrollSpeed);
        }

        if(((MyWorld) getWorld()).fall==true)
        {
            fall(((MyWorld) getWorld()).scrollSpeed);
        }
        
        if(y_pos < 0)
        {
            getWorld().removeObject(this);
            return;
        }
    }    

    protected void addedToWorld(World world)
    {
        x_pos = getX();
        y_pos = getY();
    }

    /**
     * We move the clouds to simulate motion
     */
    public void scroll(int speed)
    {
        if(speed>0)
        {
            y_pos = y_pos + speed;
            setLocation(x_pos, y_pos);
        }
    }

        /**
     * until the game is stopped, we move the clouds along the y axis,
     * simulating the movement of the screen
     */
    public void fall(int speed)
    {
        if(((MyWorld) getWorld()).ended==false)
        {
            y_pos = y_pos + speed;
            setLocation(x_pos, y_pos);
        }
    }
    
}
