import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld extends World
{

    boolean bStarted, started = false;
    boolean once;
    int transparency = 0;
    int scrollSpeed;
    boolean scroll;
    boolean fall;
    boolean ended;
    boolean killed;
    int height = 0;
    int PlayerX;
    /** 
     * Constructor for objects of class doodleWorld.
     * 
     *
     */
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(500,500, 1,false); 

        addObject(new ground(), 56, 400);
        addObject(new Player(true), 56,200);
        once = true;
        started = false;
        height = 0;
        fall = false;
        ended = false;
        killed = false;
        prepare();
    }

    public void act()
    {
        /**
         *Create new monsters
         */
         if (Greenfoot.getRandomNumber(10000) < 20 ) 
            {
                int x = Greenfoot.getRandomNumber(450);
                int y = Greenfoot.getRandomNumber(150);
                addObject(new Enemy1(), x, y);
            }
        
         if (Greenfoot.getRandomNumber(10000) < 20 ) 
            {
                int x = Greenfoot.getRandomNumber(450);
                int y = Greenfoot.getRandomNumber(150);
                addObject(new Enemy1(), x, y);
            }
            
         if (Greenfoot.getRandomNumber(5000) < 10 ) 
            {
                int x = Greenfoot.getRandomNumber(470);
                int y = Greenfoot.getRandomNumber(100);
                addObject(new Food(), x, y);
            }
        
         if (Greenfoot.getRandomNumber(5000) < 10 ) 
            {
                int x = Greenfoot.getRandomNumber(470);
                int y = Greenfoot.getRandomNumber(100);
                addObject(new Food2(), x, y);
            }
            
         if(powerUp == true)
         {
            powerUpTimer--; 
            
             
         }
         if (powerUp == true && powerUpTimer < 0)
         {
            powerUp = false;
            powerUpTimer = 500;
         }
    }
                
    private int powerUpTimer = 500;
    
    private boolean powerUp = false;
    
    public void setPowerUp(boolean state)
    {
      powerUp = state;
    }
    
    public boolean getPowerUp()
    {
      return powerUp;  
    }
    
    
        /**
         *the user must press the mouse button to start the game
         */
        
    
    
    public void createGround()
    {
         if (Greenfoot.getRandomNumber(5000) < 10 ) 
            {
                int x = Greenfoot.getRandomNumber(500);
                int y = Greenfoot.getRandomNumber(600);
                addObject(new ground2(), x, y);
            }
        
        if (Greenfoot.getRandomNumber(5000) < 10) 
            {
                int x = Greenfoot.getRandomNumber(getHeight() );
                int y = Greenfoot.getRandomNumber(getWidth() );
                addObject(new ground(false), x, y);
            }
        
    }

    /**
     *Remove objects from the screen
     
    public void cleanup()
    {
        removeObjects(getObjects(Player.class));
        removeObjects(getObjects(ground.class));
    }
    
    */

    /**
     *End of game
     */
    public void gameEnd()
    {
        //cleanup();
        started=false;
        bStarted=false;
        //addObject(new ground(), 56, 317);
        //addObject(new Player(false), 56,200);

        once = true;
        started = false;
        height = 0;
        fall = false;
        killed = false;
        ended = false;
    }
    private Debug debugMessage = new Debug();
    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        Score score = new Score();
        addObject(score,378,359);
        createGround(); //creates ground randomly
        ground ground = new ground();
        addObject(ground,321,211);
        ground3 ground3 = new ground3();
        addObject(ground3,401,340);
        ground.setLocation(251,209);
        ground3 ground32 = new ground3();
        addObject(ground32,118,76);
        ground ground2 = new ground();
        addObject(ground2,389,55);
        addObject(debugMessage, 150, getHeight() - 50);

        ground3.setLocation(521,389);
        ground.setLocation(293,244);
        ground2.setLocation(493,83);
        ground32.setLocation(61,65);
        ground.setLocation(272,233);
        ground2 ground22 = new ground2();
        addObject(ground22,463,393);
        ground22.setLocation(456,389);
        Enemy1 enemy1 = new Enemy1();
        addObject(enemy1,491,350);
        enemy1.setLocation(484,342);
        removeObject(enemy1);
        ground22.setLocation(391,397);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(521,389);
        ground3.setLocation(456,396);
        ground2.setLocation(423,78);
        removeObject(ground);
        removeObject(ground2);
        ground32.setLocation(261,119);
        Score score2 = new Score();
        addObject(score2,418,458);
        removeObject(score);
        Enemy2 enemy2 = new Enemy2();
        addObject(enemy2,406,71);
        removeObject(enemy2);
    }
    
    public Debug getDegbug() {
        return debugMessage;
    }
}

